<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" 
	  xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8"/>
<title>Home</title>
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		  integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">

	<div class="row">
		<h2>Add New User</h2>
	</div>

	<div class="form-group w-25">
		<form action="#" th:action="@{/user/validate}" th:object="${user}" method="post" class="form-horizontal" style="width: 100%">
			<input type="hidden" th:field="*{id}"/>
			<div class="form-group mb-4">
				<label for="fullname">Full name</label>
				<input type="text" th:field="*{fullName}" class="form-control col-4 col-xs-3"
					   placeholder="Full name" name="fullname" id="fullname">
				<div class="text-danger" th:if="${#fields.hasErrors('fullName')}"
					 th:errors="*{fullName}">Wrong full name
				</div>
			</div>
			<div class="form-group mb-4">
				<label for="username">Username</label>
				<input type="text" th:field="*{username}" class="form-control col-4" placeholder="Username" name="username"
					   id="username">
				<div class="text-danger" th:if="${#fields.hasErrors('username')}"
					 th:errors="*{username}">Wrong username
				</div>
			</div>
			<div class="form-group mb-4">
				<label for="password">Password</label>
				<input type="password" th:field="*{password}" class="form-control col-4" placeholder="Password" name="password"
					   id="password">
				<div class="text-danger" th:if="${#fields.hasErrors('password')}"
					 th:errors="*{password}">Wrong password
				</div>
			</div>
			<div class="form-group mb-4">
				<label for="role" class="form-check-label" >Role</label>
				<div class="col-sm-10">
					<label class="form-check-label">
						<input type="radio" th:field="*{role}" th:value="ROLE_ADMIN">Admin</label>
					<label class="form-check-label">
						<input type="radio" id="role" th:field="*{role}" th:value="ROLE_USER">User</label>
					<p class="text-danger" th:if="${#fields.hasErrors('role')}" th:errors="*{role}"></p>
				</div>
			</div>
			<p class="alert alert-danger text-center" th:if="${userError}" th:text="${userError}"></p>
			<button type="submit" class="btn btn-primary">Save</button>
			<a class="btn btn-danger" th:href="@{/user/list}">Cancel</a>

		</form>
	</div>

</div>
</body>
</html>